<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::speechencoder::test::MockEncoderContext Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html">speechencoder</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html">MockEncoderContext</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::speechencoder::test::MockEncoderContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::speechencoder::test::MockEncoderContext:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_inherit__map" id="alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html" title="alexaClientSDK::speechencoder\l::EncoderContext" alt="" coords="5,5,219,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::speechencoder::test::MockEncoderContext:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_coll__map" id="alexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html" title="alexaClientSDK::speechencoder\l::EncoderContext" alt="" coords="5,5,219,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a018ae8f2c3844ca2287389e7d97a7cba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a018ae8f2c3844ca2287389e7d97a7cba">MOCK_METHOD1</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6514e93612699495bc0e68aebcf73128">init</a>, bool(<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a> inputFormat))</td></tr>
<tr class="separator:a018ae8f2c3844ca2287389e7d97a7cba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05cc4e6fc06bb4a75165f024acc9fb38"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a05cc4e6fc06bb4a75165f024acc9fb38">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6b93adafc5f7a70094eaad98c7e85ed4">getInputFrameSize</a>, size_t())</td></tr>
<tr class="separator:a05cc4e6fc06bb4a75165f024acc9fb38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade09d03309ad8baca2710a1989d84b48"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#ade09d03309ad8baca2710a1989d84b48">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8937e27a3d0b076b1a11b625b0430b74">getOutputFrameSize</a>, size_t())</td></tr>
<tr class="separator:ade09d03309ad8baca2710a1989d84b48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fa41a375d5670d3bd3570c7099b7c80"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a5fa41a375d5670d3bd3570c7099b7c80">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#aeafe28f79ddfadf0bc40c68c3c454c0d">requiresFullyRead</a>, bool())</td></tr>
<tr class="separator:a5fa41a375d5670d3bd3570c7099b7c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52b750d8a236e0185beb67fbdc4bc79b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a52b750d8a236e0185beb67fbdc4bc79b">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a5e523d34513fedc8c21b22d41f386b4f">getAudioFormat</a>, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a>())</td></tr>
<tr class="separator:a52b750d8a236e0185beb67fbdc4bc79b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceb7d6d3cf3cde1fdb05d56695a7075d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#aceb7d6d3cf3cde1fdb05d56695a7075d">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a0290cc10af8b817db04024f7ad868fc9">getAVSFormatName</a>, std::string())</td></tr>
<tr class="separator:aceb7d6d3cf3cde1fdb05d56695a7075d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d025c86a14fde0d55185dc5049fc16f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a8d025c86a14fde0d55185dc5049fc16f">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8dd9ea15037029b597c58889f900f326">start</a>, bool())</td></tr>
<tr class="separator:a8d025c86a14fde0d55185dc5049fc16f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82807b699a0c6379ad2fbc9ad8393967"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#a82807b699a0c6379ad2fbc9ad8393967">MOCK_METHOD3</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a494124a607f7c543a8fab84e7a455d82">processSamples</a>, ssize_t(void *samples, size_t nWords, uint8_t *buffer))</td></tr>
<tr class="separator:a82807b699a0c6379ad2fbc9ad8393967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab36023d6afd17bcaa24129c76dc8a2fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1test_1_1_mock_encoder_context.html#ab36023d6afd17bcaa24129c76dc8a2fd">MOCK_METHOD0</a> (<a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8a94a88ecf16ea20a38996981b65276f">close</a>, void())</td></tr>
<tr class="separator:ab36023d6afd17bcaa24129c76dc8a2fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html">alexaClientSDK::speechencoder::EncoderContext</a></td></tr>
<tr class="memitem:a6514e93612699495bc0e68aebcf73128 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6514e93612699495bc0e68aebcf73128">init</a> (<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a> inputFormat)=0</td></tr>
<tr class="separator:a6514e93612699495bc0e68aebcf73128 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b93adafc5f7a70094eaad98c7e85ed4 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6b93adafc5f7a70094eaad98c7e85ed4">getInputFrameSize</a> ()=0</td></tr>
<tr class="separator:a6b93adafc5f7a70094eaad98c7e85ed4 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8937e27a3d0b076b1a11b625b0430b74 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8937e27a3d0b076b1a11b625b0430b74">getOutputFrameSize</a> ()=0</td></tr>
<tr class="separator:a8937e27a3d0b076b1a11b625b0430b74 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeafe28f79ddfadf0bc40c68c3c454c0d inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#aeafe28f79ddfadf0bc40c68c3c454c0d">requiresFullyRead</a> ()=0</td></tr>
<tr class="separator:aeafe28f79ddfadf0bc40c68c3c454c0d inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e523d34513fedc8c21b22d41f386b4f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a5e523d34513fedc8c21b22d41f386b4f">getAudioFormat</a> ()=0</td></tr>
<tr class="separator:a5e523d34513fedc8c21b22d41f386b4f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0290cc10af8b817db04024f7ad868fc9 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a0290cc10af8b817db04024f7ad868fc9">getAVSFormatName</a> ()=0</td></tr>
<tr class="separator:a0290cc10af8b817db04024f7ad868fc9 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dd9ea15037029b597c58889f900f326 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8dd9ea15037029b597c58889f900f326">start</a> ()=0</td></tr>
<tr class="separator:a8dd9ea15037029b597c58889f900f326 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a494124a607f7c543a8fab84e7a455d82 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual ssize_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a494124a607f7c543a8fab84e7a455d82">processSamples</a> (void *samples, size_t numberOfWords, uint8_t *buffer)=0</td></tr>
<tr class="separator:a494124a607f7c543a8fab84e7a455d82 inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a94a88ecf16ea20a38996981b65276f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8a94a88ecf16ea20a38996981b65276f">close</a> ()=0</td></tr>
<tr class="separator:a8a94a88ecf16ea20a38996981b65276f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11ca15f7478a382d8d1ddeee44dfcb2f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a11ca15f7478a382d8d1ddeee44dfcb2f">~EncoderContext</a> ()=default</td></tr>
<tr class="separator:a11ca15f7478a382d8d1ddeee44dfcb2f inherit pub_methods_classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A mock encoder backend implementation that inherits from <code><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html">EncoderContext</a></code>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a05cc4e6fc06bb4a75165f024acc9fb38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05cc4e6fc06bb4a75165f024acc9fb38">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[1/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6b93adafc5f7a70094eaad98c7e85ed4">getInputFrameSize</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ade09d03309ad8baca2710a1989d84b48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade09d03309ad8baca2710a1989d84b48">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[2/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8937e27a3d0b076b1a11b625b0430b74">getOutputFrameSize</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5fa41a375d5670d3bd3570c7099b7c80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5fa41a375d5670d3bd3570c7099b7c80">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[3/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#aeafe28f79ddfadf0bc40c68c3c454c0d">requiresFullyRead</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a52b750d8a236e0185beb67fbdc4bc79b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52b750d8a236e0185beb67fbdc4bc79b">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[4/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a5e523d34513fedc8c21b22d41f386b4f">getAudioFormat</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a>()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aceb7d6d3cf3cde1fdb05d56695a7075d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aceb7d6d3cf3cde1fdb05d56695a7075d">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[5/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a0290cc10af8b817db04024f7ad868fc9">getAVSFormatName</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d025c86a14fde0d55185dc5049fc16f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d025c86a14fde0d55185dc5049fc16f">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[6/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8dd9ea15037029b597c58889f900f326">start</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab36023d6afd17bcaa24129c76dc8a2fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab36023d6afd17bcaa24129c76dc8a2fd">&#9670;&nbsp;</a></span>MOCK_METHOD0() <span class="overload">[7/7]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD0 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a8a94a88ecf16ea20a38996981b65276f">close</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void()&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a018ae8f2c3844ca2287389e7d97a7cba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a018ae8f2c3844ca2287389e7d97a7cba">&#9670;&nbsp;</a></span>MOCK_METHOD1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD1 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a6514e93612699495bc0e68aebcf73128">init</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool(<a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">alexaClientSDK::avsCommon::utils::AudioFormat</a> inputFormat)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a82807b699a0c6379ad2fbc9ad8393967"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82807b699a0c6379ad2fbc9ad8393967">&#9670;&nbsp;</a></span>MOCK_METHOD3()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::speechencoder::test::MockEncoderContext::MOCK_METHOD3 </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html#a494124a607f7c543a8fab84e7a455d82">processSamples</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ssize_t(void *samples, size_t nWords, uint8_t *buffer)&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/SpeechEncoder/test/<a class="el" href="_speech_encoder_test_8cpp.html">SpeechEncoderTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
